package com.yzx.ebrand.config

import com.yzx.ebrand.BuildConfig
import com.yzx.ebrand.model.StuChangeType

object Config {
    var BASE_URL = BuildConfig.BASE_URL
    var APP_NAME = BuildConfig.APP_NAME
    var M_URL = BuildConfig.M_URL
    var OA_URL = BuildConfig.OA_URL
    var WS_URL = BuildConfig.WS_URL
    var MP_APPID = BuildConfig.MP_APPID
    val APP_ID = 701


    const val STU_CHANGE_STATUS_DROP_OUT = 42001
    const val STU_CHANGE_STATUS_LEAVE_SCHOOL = 42002
    const val STU_CHANGE_STATUS_RETURN_SCHOOL = 42003
    const val STU_CHANGE_STATUS_OUT_SCHOOL = 42004
    const val STU_CHANGE_STATUS_TRANSFER_SCHOOL = 42005
    const val STU_CHANGE_STATUS_REPEAT = 42006
    const val STU_CHANGE_STATUS_DOWNGRADE = 42007
    const val STU_CHANGE_STATUS_TRANSFER_OUT = 42008
    const val STU_CHANGE_STATUS_INTROSPECTION = 42009
    const val STU_CHANGE_STATUS_INTERNSHIP = 42010

    val STU_CHANGE_STATUS_LIST = mutableListOf(
        StuChangeType(STU_CHANGE_STATUS_DROP_OUT,"辍学",""),
        StuChangeType(STU_CHANGE_STATUS_LEAVE_SCHOOL,"休学",""),
        StuChangeType(STU_CHANGE_STATUS_RETURN_SCHOOL,"复学",""),
        StuChangeType(STU_CHANGE_STATUS_OUT_SCHOOL,"退学",""),
        StuChangeType(STU_CHANGE_STATUS_TRANSFER_SCHOOL,"转学",""),
        StuChangeType(STU_CHANGE_STATUS_REPEAT,"留级",""),
        StuChangeType(STU_CHANGE_STATUS_TRANSFER_OUT,"转出",""),
        StuChangeType(STU_CHANGE_STATUS_DOWNGRADE,"降级",""),
        StuChangeType(STU_CHANGE_STATUS_INTROSPECTION,"回家反省","反省"),
        StuChangeType(STU_CHANGE_STATUS_INTERNSHIP,"实习","反省")
    )
}